# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

import os

from django.utils.translation import ugettext as _
from django import forms
from django.forms.formsets import formset_factory

from fal_validinfo import (
    RemotePortNumber,
)
from project.view import FuncView as _View
from project.forms.fields.extras.validators.fal import FALValidator


class NameField(forms.CharField):
    def __init__(self, *args, **kwargs):
        kwargs['label'] = kwargs.get('label', '接続名')
        super(NameField, self).__init__(*args, **kwargs)


class CodeField(forms.CharField):
    def __init__(self, *args, **kwargs):
        kwargs['label'] = kwargs.get('label', 'コード')
        super(CodeField, self).__init__(*args, **kwargs)
